Bug 1659323 - bluetooth connection unreliable
Summary: bluetooth connection unreliable
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: bluez
Version: 29
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Don Zickus
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-14 04:46 UTC by David Ward
Modified: 2019-11-27 20:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:21:46 UTC
Type: Bug


Attachments (Terms of Use)

Description David Ward 2018-12-14 04:46:49 UTC
Description of problem:

I have a problem on my new Fedora 29 install on a ThinkPad P50, although I
had the *same* problem when my PC refresh showed up at my door with the
RHEL 7 CSB on it.

The problem: If my display goes to sleep, or if I logout and log back on,
or if I just *wait* long enough, my bluetooth mouse and keyboard disconnect
by themselves. They both still show up as Paired, but I can't reconnect
them. For example, I go into the bluetooth settings GUI, and try to toggle
the Connection from OFF to ON, but then it quickly bounces right back to
OFF by itself.

Side note: I do notice, when disconnected, if I move my mouse around I see
a flickering icon in the top right status bar like it's trying to
reconnect, but can't.

The only thing I can do is to fully Remove Device then re-pair for them to
start working again. This is obviously quite frustrating. Is this a known
issue? (Again, I saw this on the RHEL 7 CSB on the P50 before I installed
Fedora 29, too). Do you know what I can do about it?


Version-Release number of selected component (if applicable):

gnome-bluetooth-1:3.28.2-1.fc29.x86_64

How reproducible:

Easily. Just wait long enough.

Steps to Reproduce:
1. See the summary above.

Actual results:

Bluetooth device (mouse or keyboard) won't reconnect, event though it shows as paired.

Expected results:

Stable bluetooth connection.


Additional info:

I don't know if it's the same thing or not, but it might be related to https://bugzilla.redhat.com/show_bug.cgi?id=1615398 ? I dunno...

Comment 1 Ben Cotton 2019-10-31 20:19:06 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-11-27 20:21:46 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.